## $Id: payment.py 8247 2012-04-22 12:56:07Z henrik $
##
## Copyright (C) 2012 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""
These are the payment tickets.
"""
import grok
from waeup.kofa.utils.helpers import attrs_to_fields
from waeup.kofa.payments.payment import Payment
from waeup.uniben.payments.interfaces import ICustomOnlinePayment

class CustomOnlinePayment(Payment):
    """This is an online payment.
    """
    grok.implements(ICustomOnlinePayment)
    grok.provides(ICustomOnlinePayment)

CustomOnlinePayment = attrs_to_fields(CustomOnlinePayment)
